Subject: bug#43702: Emacs master: Incorrect highlighting in regexp isearch.

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 01 Oct 2020 03:12:29 +0200

Juri Linkov <[email-masked]> writes:

> There is another problem: currently isearch-group-3 is indistinguishable
> visually from the default isearch face (on X with more than 88 colours).
>
> Also I don't understand why users would need so many faces (9!)

Yeah, it's pretty excessive...  but consistent.

> Maybe better to do what Drew proposed: to distinguish the odd groups
> from the even groups, i.e. to have only 2 additional faces
> (a brighter face like the current isearch-group-1 for the odd groups,
> and a darker face for the even groups).

I like the idea.

> So a better solution is maybe to save match-data on the isearch stack
> and restore in isearch-pop-state (called by isearch-delete-char).
> I could try to do this.

Please do.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no